using System;
class Program
{
static void Main(){

int n,h,i,j;
char znak;
h = int.Parse(Console.Read());
Console.Write(" ");
n = int.Parse(Console.Read());
Console.WriteLine("");
for (i = 1; i <= h; i++)
{
    for (j = 1; j <= n; j++)
    {
        znak = char.Parse(Console.Read());
        Console.Write(" ");
    }
    Console.WriteLine("");
}
Console.WriteLine("-1");
}
}